package com.qmth.themis.business.dto.response;

import com.qmth.themis.business.enums.MonitorVideoSourceEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: stream dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/2/19
 */
public class StreamDto implements Serializable {

    @ApiModelProperty(name = "videoSource")
    private MonitorVideoSourceEnum name;

    @ApiModelProperty(name = "streamId")
    private String streamId;

    public StreamDto() {

    }

    public StreamDto(MonitorVideoSourceEnum name, String streamId) {
        this.name = name;
        this.streamId = streamId;
    }

    public MonitorVideoSourceEnum getName() {
        return name;
    }

    public void setName(MonitorVideoSourceEnum name) {
        this.name = name;
    }

    public String getStreamId() {
        return streamId;
    }

    public void setStreamId(String streamId) {
        this.streamId = streamId;
    }
}
