package com.qmth.themis.business.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * session会话
     */
    SESSION_GROUP,

    /**
     * 用户轨迹
     */
    USER_LOG_GROUP,

    /**
     * 导入导出任务
     */
    TASK_GROUP,

    /**
     * 日志
     */
    LOG_GROUP,

    /**
     * websocket oe 考生 group
     */
    WEBSOCKET_OE_GROUP,

    /**
     * websocket oe 考生 group
     */
    WEBSOCKET_OE_MOBILE_GROUP,

    /**
     * websocket超时退出 考生 group
     */
    WEBSOCKET_DELAY_GROUP,

    /**
     * quartz 考场 group
     */
    QUARTZ_GROUP,

    /**
     * 计算客观分
     */
    CALCULATE_OBJECTIVE_SCORE_GROUP,

    /**
     * 人脸验证
     */
    FACE_VERIFY_SAVE_GROUP,
    /**
     * 活体验证
     */
    LIVENESS_VERIFY_SAVE_GROUP,

    /**
     * 考试记录数据持久化
     */
    EXAM_RECORD_PERSISTED_GROUP,

    /**
     * 考试记录数据更新
     */
    EXAM_RECORD_UPDATE_GROUP,
    
    /**
     * 考试断点记录数据初始化
     */
    EXAM_BREAK_RECORD_PERSISTED_GROUP,

	/**
     * 考试重新算分
     */
    SCORE_CALCULATE_GROUP,
    /**
     * 考生数据更新
     */
    EXAM_STUDENT_UPDATE_GROUP,

    /**
     * 考试断点
     */
    EXAM_BREAK_GROUP,

    /**
     * 考试断点延时消息
     */
    EXAM_BREAK_DELAY_GROUP;
}